%define upstream_name CBOR-XS
%define upstream_version 1.41

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %upstream_version
Release:        %mkrel 3
Summary:        Concise Binary Object Representation (CBOR)
# COPYING:      GPLv3+
## Replaced by system header-only package
# ecb.h:        BSD or GPLv2+
License:        GPLv3+ and (BSD or GPLv2+)
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz
# Silent compiler warnings
Patch1:         CBOR-XS-1.41-Cast-char-and-U8-where-needed.patch
BuildRequires:  coreutils
BuildRequires:  findutils
# gcc for standard header files
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-devel
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(common::sense)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(Types::Serialiser)
BuildRequires:  perl(URI)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Data::Dumper)

Requires:       perl(Math::BigFloat)
Requires:       perl(Math::BigInt)
Requires:       perl(Time::Piece)
Requires:       perl(URI)

%description
This module converts Perl data structures to the Concise Binary Object
Representation (CBOR) and vice versa. CBOR is a fast binary serialization
format that aims to use an (almost) superset of the JSON data model, i.e.
when you can represent something useful in JSON, you should be able to
represent it in CBOR.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make

%install
%make_install

find %{buildroot} -name '*.packlist' -delete
find %{buildroot} -name '*.bs' -size 0 -delete


%files
%doc Changes README COPYING
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/CBOR*
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.410.0-3pclos2017
- rebuild against updates

